// <copyright file="FileHelperTests.cs" company="PlaceholderCompany">
// Copyright (c) PlaceholderCompany. All rights reserved.
// </copyright>

#pragma warning disable CA1707 // Identifiers should not contain underscores - xUnit test naming convention

namespace Jellyfin.Extensions.Tests;

using System.IO;
using Xunit;

public static class FileHelperTests
{
    [Fact]
    public static void CreateEmpty_Valid_Correct()
    {
        var path = Path.Join(Path.GetTempPath(), Path.GetRandomFileName());
        var fileInfo = new FileInfo(path);

        Assert.False(fileInfo.Exists);

        FileHelper.CreateEmpty(path);

        fileInfo.Refresh();
        Assert.True(fileInfo.Exists);

        File.Delete(path);
    }
}

#pragma warning restore CA1707
